using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace TeslaConsole;

public class dlgProgress : Form
{
	private IContainer components;

	private Label lblStatus;

	private ProgressBar pbarProgress;

	public int ProgressPercentage
	{
		get
		{
			return pbarProgress.Value;
		}
		set
		{
			pbarProgress.Value = value;
		}
	}

	public string Status
	{
		get
		{
			return lblStatus.Text;
		}
		set
		{
			lblStatus.Text = value;
		}
	}

	public dlgProgress()
	{
		InitializeComponent();
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		base.Dispose(disposing);
	}

	private void InitializeComponent()
	{
		this.lblStatus = new System.Windows.Forms.Label();
		this.pbarProgress = new System.Windows.Forms.ProgressBar();
		base.SuspendLayout();
		this.lblStatus.AutoSize = true;
		this.lblStatus.Location = new System.Drawing.Point(12, 9);
		this.lblStatus.Name = "lblStatus";
		this.lblStatus.Size = new System.Drawing.Size(96, 13);
		this.lblStatus.TabIndex = 0;
		this.lblStatus.Text = "Status goes here...";
		this.pbarProgress.Anchor = System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		this.pbarProgress.Location = new System.Drawing.Point(15, 25);
		this.pbarProgress.Name = "pbarProgress";
		this.pbarProgress.Size = new System.Drawing.Size(364, 23);
		this.pbarProgress.TabIndex = 1;
		base.AutoScaleDimensions = new System.Drawing.SizeF(6f, 13f);
		base.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
		base.ClientSize = new System.Drawing.Size(391, 57);
		base.Controls.Add(this.pbarProgress);
		base.Controls.Add(this.lblStatus);
		base.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
		base.MaximizeBox = false;
		base.MinimizeBox = false;
		base.Name = "dlgProgress";
		base.ShowInTaskbar = false;
		base.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
		this.Text = "Progress";
		base.ResumeLayout(false);
		base.PerformLayout();
	}
}
